%define upstream_name    Module-CPANfile
%define upstream_version 1.0002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Parse cpanfile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Test::More)
BuildArch: noarch

%{?perl_default_filter}

%description
'cpanfile' describes CPAN dependencies required to execute associated Perl
code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpanfile-dump
/usr/bin/mymeta-cpanfile
/usr/share/man/man1/cpanfile-dump.1.xz
/usr/share/man/man1/mymeta-cpanfile.1.xz



%changelog
* Sun Oct 19 2014 umeabot <umeabot> 1.0.200-5.mga5
+ Revision: 789289
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.200-4.mga5
+ Revision: 739085
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.0.200-3.mga5
+ Revision: 735702
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.200-2.mga5
+ Revision: 685418
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 1.0.200-1.mga5
+ Revision: 581482
- imported package perl-Module-CPANfile


* Tue Feb 04 2014 cpan2dist 1.0002-1mga
- initial mageia release, generated with cpan2dist
